﻿using System.Windows.Forms;
using Implab.Fx.Test.Sample;
using Implab.Fx;

#if MONO

using NUnit.Framework;
using TestClassAttribute = NUnit.Framework.TestFixtureAttribute;
using TestMethod = NUnit.Framework.TestAttribute;

#else

using Microsoft.VisualStudio.TestTools.UnitTesting;

#endif

namespace Implab.Fx.Test
{
    [TestClass]
    public class OverlayTest
    {
        [TestMethod]
        public void TestMethod1()
        {
            var mainForm = new MainForm();
            
            mainForm.ButtonEvent += (sender, args) =>
            {
                var overlay = new OverlayForm();
                mainForm.OverlayFadeIn(overlay).On(
                    o => o.ButtonEvent += (s2, args2) => o.CloseFadeOut()
                );
            };
            
            Application.Run(mainForm);
        }
    }
}
